<?php  
/*  
Plugin Name: SmartGeoProfits
Plugin URI: http://www.smartgeoprofits.com  
Description: Create GEO Targeted Campaigns In Minutes .
Version: 1.7  
Author: SmartGeoProfits.com  
Text Domain: SmartGeoProfits.com
*/


if( !function_exists( 'add_action' ) ) {
	header('Status: 403 Forbidden');
	header('HTTP/1.1 403 Forbidden');
	exit;
 }

//// custom shortcode handlers ; 
define('ddevsmartgeopro','ddevsmartgeopro');
//// table name;
define('ddevsmartgeopro_TABLE','ddevsmartgeopro_mysql_plugin16');

add_action('init','ddevsmartgeopro_getvisitorinfo');
add_action('admin_init', 'ddevsmartgeopro_register_settings');
register_deactivation_hook(__FILE__,'ddevsmartgeopro_on_deactivated');


if(is_admin()){
		add_action('admin_menu', 'ddevsmartgeopro_create_menu');
	}
	


function ddevsmartgeopro_register_settings(){
	register_setting( 'ddevsmartgeopro_plugin_options', 'ddevsmartgeopro_options','ddevsmartgeopro_validate_options'); //Opciones Generales
	
}


	
	
function ddevsmartgeopro_create_menu(){
    $current_user = wp_get_current_user(); 
	$role=$current_user->roles[0];
	$showrole='administrator';
	add_menu_page("SmartGeoProfits","SmartGeoProfits",8, __FILE__,"ddevsmartgeopro_menu_settings"); 
	add_submenu_page(__FILE__,'Campaigns','Campaigns','administrator','ddevsmartgeopro-retrive-data-using-shortcode','ddevsmartgeopro_retrive_data_using_shortcode');
	
}

function ddevsmartgeopro_retriveDataUsingShortcode($attr = array(),$content= null)
{
	global $wpdb;
	extract(shortcode_atts(array('id'=>'0'),$attr));
	$result = $wpdb->get_row("SELECT name,DefButton,PMButton1,PMButton2,PMButton3 FROM ddevsmartgeopro_mysql_plugin16 WHERE id=$id LIMIT 1");

	
		
	
	$DefButton = $result->DefButton ;
	$Button1 = $result->PMButton1 ;
	$Button2 = $result->PMButton2 ;
	$Button2 = $result->PMButton3 ;
	//$ButtonNotSupported = $result->PMButton3 ;
	
	
	//$valores = "Codigo Default: ". $DefButton .  "<br>" . "Codigo Boton 1: ". $Button1 .  "<br>" . "Codigo Boton 2: ". $Button2 .  "<br>" . "Codigo Boton 2 CSS: ". $Button2CCS .  "<br>" ;
		
	//echo $valores;
	//echo '<br>';
	
	$visitorCC = '';
	$visitorCC = strtoupper(ddevsmartgeopro_VISITOR_CC);
	
	
	$options = get_option('ddevsmartgeopro_options');
	
	//Uso CCS Generales 
	$ddevsmartgeopro_CCS1 = strtoupper($options['ddevsmartgeopro_ccs1']);
	$ddevsmartgeopro_CCS2 = strtoupper($options['ddevsmartgeopro_ccs2']);
	$ddevsmartgeopro_CCS3 = strtoupper($options['ddevsmartgeopro_ccs3']);
	//$ddevsmartgeopro_CCSSUPPORTED = strtoupper($options['ddevsmartgeopro_ccssupported']);
	
	
	
	//Analizamos Boton Alternativo 1			  
	if ($Button1 != '') {
		//Si hay codigo de pago, busco el CC en la lista de CCs para el boton.
			
			
	
			if (strpos($ddevsmartgeopro_CCS1,$visitorCC) !== false) {
			//Si encontramos, mostramos ese cdigo y salimos.
				return $Button1;
				
			}else{
				//Codigo Opcional
			}	
	}	

	
	//Analizamos Boton Alternativo 2
	if ($Button2 != '') {
		//Si hay codigo de pago, busco el CC en la lista de CCs para el boton.
		
	
			if (strpos($ddevsmartgeopro_CCS2,$visitorCC) !== false) {
			//Si encontramos, mostramos ese cdigo y salimos.
				return $Button2;
				
			}else{
				//Codigo Opcional
			}	

	}	
	
	
	//Analizamos Boton Alternativo 2
	if ($Button3 != '') {
		//Si hay codigo de pago, busco el CC en la lista de CCs para el boton.
		
	
			if (strpos($ddevsmartgeopro_CCS3,$visitorCC) !== false) {
			//Si encontramos, mostramos ese cdigo y salimos.
				return $Button3;
				
			}else{
				//Codigo Opcional
			}	

	}	
	
	
	//Si llegamos ac usamos el boton por defecto
	return $DefButton;
	
}

add_shortcode(SGEOPRO,'ddevsmartgeopro_retriveDataUsingShortcode');

//add_action('admin_menu', 'ddevsmartgeopro_settings_menu');
//function ddevsmartgeopro_settings_menu(){
 //    add_options_page('Retrive Data Using Shortcode', 'Price By Country', 'manage_options', 'ddevsmartgeopro-retrive-data-using-shortcode', 'ddevsmartgeopro_retrive_data_using_shortcode');
//}

register_activation_hook(__FILE__,'ddevsmartgeopro_on_activated');
//register_deactivation_hook(__FILE__,'ddevsmartgeopro_on_deactivated');

function ddevsmartgeopro_on_activated()
{
	global $wpdb;
	$wpdb->show_errors();
	if($wpdb->get_var("SHOW TABLES LIKE '".ddevsmartgeopro_TABLE."'") != ddevsmartgeopro_TABLE)
	{
    	$wpdb->query("
					CREATE TABLE ".ddevsmartgeopro_TABLE." (
					id INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
					Name TEXT NOT NULL,
					DefButton LONGTEXT NOT NULL,
					PMButton1 LONGTEXT NULL,
					PMButton2 LONGTEXT NULL,
					PMButton3 LONGTEXT NULL,
					PRIMARY KEY (id)
					)
					COLLATE=utf8_general_ci
					") or $wpdb->show_errors();
		$wpdb->query("INSERT INTO ".ddevsmartgeopro_TABLE."(name,DefButton,PMButton1,PMButton2,PMButton3) VALUES('Product Name Here','','','','')");
	}
	
	
	//Set Defaults
		$tmp = get_option('ddevsmartgeopro_options');
		if(($tmp['chk_default_options_db']=='1')||(!is_array($tmp))) {
		delete_option('ddevsmartgeopro_options'); // 
		$arr = array(	"ddevsmartgeopro_aliasdefbutton" => "Global Offer",
						"ddevsmartgeopro_aliasbutton1" => "Offer For Country Group 1",
						"ddevsmartgeopro_aliasbutton2" => "Offer For Country Group 2",
						"ddevsmartgeopro_aliasbutton3" => "Offer For Country Group 3"
						);
		update_option('ddevsmartgeopro_options', $arr);
		}	
	
	
}


function ddevsmartgeopro_getvisitorinfo()
{
		global $VisitorCountry;
		if ( isset($VisitorCountry) )
		{
			//Data From 'Visitor Country' (Activation Recommended)
			define('ddevsmartgeopro_VISITOR_IP', $VisitorCountry->GetIP() );
			define('ddevsmartgeopro_VISITOR_CC', $VisitorCountry->GetCode() );
			define('ddevsmartgeopro_VISITOR_NAME', $VisitorCountry->GetName() );
			
		}else{
			//echo 'Visitor Country NO Encontrado';
			define('ddevsmartgeopro_VISITOR_IP', $_SERVER["REMOTE_ADDR"] );
			define('ddevsmartgeopro_VISITOR_CC', '****' ); //CC Can't Be Detected
			define('ddevsmartgeopro_VISITOR_NAME', '****' ); //CN Can't Be Detected
		}
	
}




function ddevsmartgeopro_on_deactivated()
{
	global $wpdb;
	$options = get_option('ddevsmartgeopro_options');
	$pf_keepdata =  $options['ddevsmartgeopro_drp_keepdata'];
	
	
	
	//Si el usuario eligi mantener datos al desactivar (opcin diferente a two)
	//no borro los datos. Caso contrario, los borro.
	if ($pf_keepdata === 'two') {
	
		$wpdb->query("DROP TABLE ".ddevsmartgeopro_TABLE);
		delete_option('ddevsmartgeopro_options'); // 

	}




	
}

function ddevsmartgeopro_retrive_data_using_shortcode()
{
	global $wpdb;
	
	$add_tr	= false;
	$show_edit = false;
	$edit_id	= NULL;
	if(!isset($_GET['action'])) $_GET['action'] = '';
	$rd_action = $_GET['action'];
	if($rd_action==='delete')
	{
		$wpdb->query("DELETE FROM ".ddevsmartgeopro_TABLE." WHERE id=$_GET[rdid]");
	}
	else if($rd_action === 'add')
	{
		
		//echo 'Previo a insertar';
		$wpdb->insert("ddevsmartgeopro_mysql_plugin16",array(
									'name'=>ddevsmartgeopro_check_input($_POST['name']),
									'DefButton'=>ddevsmartgeopro_check_input($_POST['DefButton']),
									'PMButton1'=>ddevsmartgeopro_check_input($_POST['PMButton1']),
									'PMButton2'=>ddevsmartgeopro_check_input($_POST['PMButton2']),
									'PMButton3'=>ddevsmartgeopro_check_input($_POST['PMButton3']),
											));
	}
	else if($rd_action === 'edit')
	{
		//echo 'Valor Not Supported' . $_POST['PMButton3'];
		$wpdb->query("UPDATE ".ddevsmartgeopro_TABLE." SET name='".nl2br($_POST['name'])."',DefButton='".nl2br($_POST['DefButton'])."',PMButton1='".nl2br($_POST['PMButton1'])."',PMButton2='".nl2br($_POST['PMButton2'])."',PMButton3='".nl2br($_POST['PMButton3']). "' WHERE id=$_GET[rdid]");
	}
	else if($rd_action === 'show_edit')
	{
		$show_edit = true;
		$edit_id	= $_GET['rdid'];
	}
	else if($rd_action === 'add_new_td')
	{
		$add_tr = true;
	}
	
	
	$rd_result = $wpdb->get_results("SELECT id,name,DefButton,PMButton1,PMButton2,PMButton3 FROM ".ddevsmartgeopro_TABLE,ARRAY_A);
	wp_register_style('ddevsmartgeopro_css', plugins_url('ddevsmartgeopro_css.css',__FILE__));
	wp_enqueue_style('ddevsmartgeopro_css');
	include('ddevsmartgeopro_admin.php');
}


function ddevsmartgeopro_menu_settings()
{
	?>
		<div class="icon32" id="icon-options-general"><br></div>
		<h2>SmartGeoProfits.com - Settings</h2>
		
		<br>
		
		<form method="post" action="options.php">
				<?php if( isset($_GET['settings-updated']) ) { ?>
					<div id="message" class="updated">
					<p><strong><?php _e('Settings saved.') ?></strong></p>
					</div>
				<?php } ?>
		
		<?php settings_fields('ddevsmartgeopro_plugin_options'); ?>		
		<?php $options = get_option('ddevsmartgeopro_options') 
	

		
	
		//if (ddevsmartgeopro_VISITOR_NAME != '****') {
			//Visitor Country Not Installed
		//	
		
		//}	
		
		?>
					
		
		
						
		
			<table class="form-table">
			
							
				<tr>
					<th scope="row"><h3>Set Countries For Country Based Offers (Optional):</h3></th>
				</tr>	

				
				<!-- CC's para Boton Alternativo 1 -->
				<tr>
					<th scope="row">Enter The Countries That Will Be<br> Linked To Country Group 1:</th>
					<td>
						<span style="color:#666666;margin-left:2px;">Please Enter 1 Country Code Per Line To Associate To Group 1 (Optional).<br><a href="http://www.iso.org/iso/country_codes/iso_3166_code_lists/country_names_and_code_elements.htm" target="_blank">Country Codes (ISO 3166)</a><br> </span>
						<textarea name="ddevsmartgeopro_options[ddevsmartgeopro_ccs1]" rows="5" cols="30" type='textarea'><?php echo $options['ddevsmartgeopro_ccs1']; ?></textarea><br /><span style="color:#666666;margin-left:2px;"></span>
						
					</td>
				</tr>

				
				
				<!-- CC's para Boton Alternativo 2 -->
				<tr>
					<th scope="row">Enter The Countries That Will Be<br> Linked To Country Group 2:</th>

					<td>
						<span style="color:#666666;margin-left:2px;">Please Enter 1 Country Code Per Line To Associate To Group 2 (Optional).<br><a href="http://www.iso.org/iso/country_codes/iso_3166_code_lists/country_names_and_code_elements.htm" target="_blank">Country Codes (ISO 3166)</a><br> </span>
						<textarea name="ddevsmartgeopro_options[ddevsmartgeopro_ccs2]" rows="5" cols="30" type='textarea'><?php echo $options['ddevsmartgeopro_ccs2']; ?></textarea><br /><span style="color:#666666;margin-left:2px;"></span>

						
						
					</td>
				</tr>

			
			
			<!-- CC's para Boton Alternativo 2 -->
				<tr>
					<th scope="row">Enter The Countries That Will Be<br> Linked To Country Group 3:</th>

					<td>
					<span style="color:#666666;margin-left:2px;">Please Enter 1 Country Code Per Line To Associate To Group 3 (Optional).<br><a href="http://www.iso.org/iso/country_codes/iso_3166_code_lists/country_names_and_code_elements.htm" target="_blank">Country Codes (ISO 3166)</a><br> </span>
						<textarea name="ddevsmartgeopro_options[ddevsmartgeopro_ccs3]" rows="5" cols="30" type='textarea'><?php echo $options['ddevsmartgeopro_ccs3']; ?></textarea><br /><span style="color:#666666;margin-left:2px;"></span>
						
						
					</td>
				</tr>

			

				<tr>
					<th scope="row"><h3>Column Titles For Campaign Management:</h3></th>
				</tr>	

							

				<!-- Alias -->
				<tr>
					<th scope="row">"Global Offer" Column:</th>
					<td>
						<input type="text" size="30" name="ddevsmartgeopro_options[ddevsmartgeopro_aliasdefbutton]" value="<?php echo $options['ddevsmartgeopro_aliasdefbutton']; ?>" />
						<span style="color:#666666;margin-left:2px;">This will be used for the column title (Global Offer). </span>
					</td>
				</tr>

				<!-- Alias -->
				<tr>
					<th scope="row">"Offer For Country Group 1" Column:</th>
					<td>
						<input type="text" size="30" name="ddevsmartgeopro_options[ddevsmartgeopro_aliasbutton1]" value="<?php echo $options['ddevsmartgeopro_aliasbutton1']; ?>" />
						<span style="color:#666666;margin-left:2px;">This will be used for the column title (Offer For Country Group 1). </span>
					</td>
				</tr>

								<tr>
					<th scope="row">"Offer For Country Group 2" Column:</th>
					<td>
						<input type="text" size="30" name="ddevsmartgeopro_options[ddevsmartgeopro_aliasbutton2]" value="<?php echo $options['ddevsmartgeopro_aliasbutton2']; ?>" />
						<span style="color:#666666;margin-left:2px;">This will be used for the column title (Offer For Country Group 2). </span>
					</td>
				</tr>



			<tr>
					<th scope="row">"Offer For Country Group 2" Column:</th>
					<td>
						<input type="text" size="30" name="ddevsmartgeopro_options[ddevsmartgeopro_aliasbutton3]" value="<?php echo $options['ddevsmartgeopro_aliasbutton3']; ?>" />
						<span style="color:#666666;margin-left:2px;">This will be used for the column title (Offer For Country Group 3). </span>
					</td>
				</tr>
				
							
				<tr>
					<th scope="row"><h3>Other Settings:</h3></th>
				</tr>	

			
			
				<tr>
					<th scope="row">Keep The Data When Deactivating The Plugin?</th>
					<td>
						<select name='ddevsmartgeopro_options_options[ddevsmartgeopro_options_drp_keepdata]'>
							<option value='one' <?php selected('one', $options['ddevsmartgeopro_options_drp_keepdata']); ?>>Yes</option>
							<option value='two' <?php selected('two', $options['ddevsmartgeopro_options_drp_keepdata']); ?>>No</option>
						</select>
						<span style="color:#666666;margin-left:2px;">If you select 'No', your settings and campaigns will be deleted if the plugin is deactivated.</span>
					</td>
				</tr>
				
			
			
			
			
			
			</table>
			<p class="submit">
			<input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
			</p>
			
			
			
			
		</form>
	<?php	
		
}


function ddevsmartgeopro_check_input($data)
{
    $data = trim($data);
    $data = stripslashes($data);
    //$data = htmlspecialchars($data);
    return $data;
}


function ddevsmartgeopro_validate_options($input) {
	return $input;
}
	